-- Disable Space Race --
-- Author: Das_Capitolin --

-- Deletes Spaceport. Note: Projects then default to City Center.
DELETE FROM Districts WHERE DistrictType = 'DISTRICT_SPACEPORT';
-- Deletes Original (Vanilla) and Expansion 1 (Rise & Fall) Space Race projects.
DELETE FROM Projects WHERE ProjectType = 'PROJECT_LAUNCH_EARTH_SATELLITE';
DELETE FROM Projects WHERE ProjectType = 'PROJECT_LAUNCH_MOON_LANDING';
DELETE FROM Projects WHERE ProjectType = 'PROJECT_LAUNCH_MARS_REACTOR';
DELETE FROM Projects WHERE ProjectType = 'PROJECT_LAUNCH_MARS_HABITATION';
DELETE FROM Projects WHERE ProjectType = 'PROJECT_LAUNCH_MARS_HYDROPONICS';
-- Deletes Expansion 2 (Gathering Storm) Space Race projects.
DELETE FROM Projects WHERE ProjectType = 'PROJECT_LAUNCH_MARS_BASE';
DELETE FROM Projects WHERE ProjectType = 'PROJECT_LAUNCH_EXOPLANET_EXPEDITION';
DELETE FROM Projects WHERE ProjectType = 'PROJECT_ORBITAL_LASER';
DELETE FROM Projects WHERE ProjectType = 'PROJECT_TERRESTRIAL_LASER';
DELETE FROM Projects WHERE ProjectType = 'PROJECT_TRAIN_ASTRONAUTS';
-- Removes Science victory type.
DELETE FROM Victories WHERE VictoryType = 'VICTORY_TECHNOLOGY';
DELETE FROM Types WHERE Type = 'VICTORY_TECHNOLOGY' AND Kind = 'KIND_VICTORY'; -- redundant
-- Reduces bias to zero.
UPDATE PseudoYields SET DefaultValue = '0' WHERE PseudoYieldType = 'PSEUDOYIELD_SPACE_RACE'; -- DefaultValue = '100.0'
-- Delete related Great People
DELETE FROM GreatPersonIndividuals WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_SERGEI_KOROLEV';
DELETE FROM GreatPersonIndividuals WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_WERNHER_VON_BRAUN';
DELETE FROM GreatPersonIndividuals WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_ROBERT_GODDARD';
DELETE FROM GreatPersonIndividuals WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_CARL_SAGAN';
DELETE FROM GreatPersonIndividuals WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_STEPHANIE_KWOLEK';